cURL
curl --request GET \ --url https://statsigapi.net/console/v1/alerts/{id}/events \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "<string>", "data": [ { "id": "<string>", "eventType": "raise", "title": "<string>", "message": "<string>", "reason": "<string>", "createdTime": 123, "multiAlertGroupBys": {}, "evaluationWindowStartTimestamp": 123, "evaluationWindowEndTimestamp": 123 } ], "pagination": { "itemsPerPage": 123, "pageNumber": 123, "nextPage": "<string>", "previousPage": "<string>", "totalItems": 123, "all": "<string>" } }
Documentation IndexFetch the complete documentation index at: https://docs.statsig.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.statsig.com/llms.txt
Use this file to discover all available pages before exploring further.
id
Results per page
10
Page number
1
List Alert Events success response
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.
Was this page helpful?